| DocBook: The Definitive Guide Version 2.0.8 (Alpha)

# refclass

$Revision: 1.3 $

$Date: 2002/06/12 11:18:31 $

refclass — The scope or other indication of applicability of a reference entry

## Synopsis

### Mixed Content Model

    refclass ::=
    (#PCDATA|application)*

### Attributes

Common attributes

## Description

The `RefClass` element describes the applicability or scope of a `RefEntry`. A `RefClass` might indicate that the entry was only applicable to a particular application, for example, or only to a particular vendor’s operating system.

### Processing expectations

May be formatted inline or as a displayed block, depending on context. Sometimes suppressed.

Formatting reference pages may require a fairly sophisticated processing system. Much of the meta-information about a reference page (its name, type, purpose, title, and classification) is stored in wrappers near the beginning of the `RefEntry`.

Common presentational features, such as titles and running heads, may require data from several of these wrappers plus some generated text. Other formatting often requires that these elements be reordered.

### Parents

These elements contain refclass: `refnamediv`.

### Children

The following elements occur in refclass: `application`.

quote |  | refdescriptor

Copyright © 1999, 2000, 2001, 2002 O'Reilly & Associates, Inc. All rights reserved.